package com.community.huiju.dao;

import com.community.huiju.model.TpTicketRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

import java.util.List;
import java.util.Map;

@Mapper
public interface TpTicketRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpTicketRecord record);

    int insertSelective(TpTicketRecord record);

    TpTicketRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpTicketRecord record);

    int updateByPrimaryKey(TpTicketRecord record);

	List<TpTicketRecord> getTicketRecordByTicketId(@Param("communityId") String communityId,@Param("ticketId") Integer ticketId);

    TpTicketRecord selectTpTicketRecord(@Param("ticketId") Integer ticketId, @Param("status") Integer status);
}